Skip to main content
POST
/
v1
/
projects
/
{projectID}
/
event-types
/
{eventTypeId}
/
deprecate
Deprecates an event type
curl --request POST \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/event-types/{eventTypeId}/deprecate \
  --header 'Authorization: <api-key>'
{
  "message": "<string>",
  "status": true,
  "data": {
    "category": "<string>",
    "deprecated_at": "<string>",
    "description": "<string>",
    "json_schema": [
      123
    ],
    "name": "<string>",
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://getconvoy.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

eventTypeId
string
required

Event Type ID

Response

Created

message
string
status
boolean
data
object